## org.eclipse.emf.exporter.ui.contribution.base
Class ModelExporterWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.converter.ui.contribution.base.ModelConverterWizard
              org.eclipse.emf.exporter.ui.contribution.base.ModelExporterWizard

All Implemented Interfaces:
  IWizard, IWorkbenchWizard

    public abstract class ModelExporterWizard

extends ModelConverterWizard

Since:
  2.2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterWizard
`ModelConverterWizard.PageHelper`

Field Summary
`protected static java.lang.String` `PREFERENCE_SAVE_EXPORTER`
`protected static java.lang.String` `PREFERENCE_SAVE_PACKAGE_URI`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterWizard
`diagnosticHandler, doPerformFinishDiagnostic, modelConverter, pageHelper, selection, workbench`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`ModelExporterWizard()`

Method Summary
`protected Diagnostic` `doPerformFinish(Monitor monitor)` Subclasses should overwrite this method, adding the code that performs the actions required when this wizard is "finished".
`ModelExporter` `getModelExporter()`
`void` `init(IWorkbench workbench, IStructuredSelection selection)`
`protected void` `readPreferencesSettings()`
`protected void` `writePreferencesSettings()`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterWizard
`createModelConverter, dispose, getFile, getModelConverter, getSelection, getWorkbench, handleConvertDiagnostic, openEditor, performCancel, performFinish, selectFile, setContainer`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, addPages, canFinish, createPageControls, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`addPages, canFinish, createPageControls, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor`

Field Detail

### PREFERENCE_SAVE_EXPORTER

    protected static final java.lang.String PREFERENCE_SAVE_EXPORTER

See Also:
  Constant Field Values

### PREFERENCE_SAVE_PACKAGE_URI

    protected static final java.lang.String PREFERENCE_SAVE_PACKAGE_URI

See Also:
  Constant Field Values

Constructor Detail

### ModelExporterWizard

    public ModelExporterWizard()

Method Detail

### getModelExporter

    public ModelExporter getModelExporter()

### init

    public void init(IWorkbench workbench,
                     IStructuredSelection selection)

  Specified by:
    `init` in interface `IWorkbenchWizard`
  Overrides:
    `init` in class `ModelConverterWizard`

### readPreferencesSettings

    protected void readPreferencesSettings()

### writePreferencesSettings

    protected void writePreferencesSettings()

### doPerformFinish

    protected Diagnostic doPerformFinish(Monitor monitor)
                                  throws java.lang.Exception

  Description copied from class: `ModelConverterWizard`

  Subclasses should overwrite this method, adding the code that performs the actions required when this wizard is "finished".

  The `Diagnostic` returned by this method should be used to provide the user some information regarding a successful conversion. If the conversion fails, an exception should be thrown.

  Overrides:
    `doPerformFinish` in class `ModelConverterWizard`
  Returns:
    `Diagnostic`
  Throws:
    `java.lang.Exception`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.